/**
 *<ATW-APP This APP provides information about the news and washing machines in the ATW-Dormitory>
 *Copyright (C) <2013>  <Mirko Grünenthal & Ingmar Wolf>
 *
 *@author Mirko Grünenthal <mirko.gruenenthal@gmail.com> 
 *@author Ingmar Wolf <ingmar@atw-goettingen.de>
 *
 *This program is free software: you can redistribute it and/or modify
 *it under the terms of the GNU General Public License as published by
 *the Free Software Foundation, either version 3 of the License, or
 *(at your option) any later version.
 *
 *This program is distributed in the hope that it will be useful,
 *but WITHOUT ANY WARRANTY; without even the implied warranty of
 *MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *GNU General Public License for more details.
 *
 *You should have received a copy of the GNU General Public License
 *along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.goe.atw.waschmaschinenlive;

import android.graphics.Bitmap;
import android.graphics.BitmapFactory;

import java.io.IOException;
import java.io.InputStream;
import java.net.MalformedURLException;
import java.net.URL;

/**
 * Downloads a picture from given URL and converts it into a bitmap.
 */
public class ImageDownloader {

    private Bitmap downloadImage(String Url) throws RuntimeException {
        InputStream inputStream = null;
        try {
            URL url = new URL(Url);
            inputStream = url.openStream();
            return BitmapFactory.decodeStream(inputStream);
        } catch (MalformedURLException e) {
            e.printStackTrace();
        } catch (IOException e) {
            e.printStackTrace();
        } finally {
            if (inputStream != null) {
                try {
                    inputStream.close();
                } catch (IOException e) {
                    e.printStackTrace();
                }
            }
        }
        return null;
    }

    /**
     * Returns Bitmap from URL
     *
     * @param Url The URL from the Bitmap
     * @return Bitmap from URL
     */
    public Bitmap getBitmapFromUrl(String Url) {
        return downloadImage(Url);
    }
}